
clc; clear;
addpath('ADD_PATH_HERE\Workfiles');
addpath('ADD_PATH_HERE\Scripts');


horizons = [0 1 2 4 6 8];

table = nan(41,7);


clearvars -except table* horizons
load 82_13_sample

%%

table_82_13 = table;
table_82_13_p = table;

for i = 1:size(horizons,2)

   table_82_13(i,1) = horizons(i)
   table_82_13(i,2) = ERRORS_STATS.Staff.ly.jump_0.REG_COEFF(1,horizons(i)+1);
   table_82_13(i,3) = ERRORS_STATS.AR4.ly.jump_m1.REG_COEFF(1,horizons(i)+1);
   table_82_13(i,4) = ERRORS_STATS.AORW4.ly.jump_m1.REG_COEFF(1,horizons(i)+1);
   table_82_13(i,5) = ERRORS_STATS.MS2AR4.ly.jump_m1.REG_COEFF(1,horizons(i)+1);
   table_82_13(i,6) = ERRORS_STATS.UCSV.ly.jump_m1.REG_COEFF(1,horizons(i)+1);
   table_82_13(i,7) = ERRORS_STATS.VAR.ly.jump_m1.REG_COEFF(1,horizons(i)+1);
     
   table_82_13_p(i,1) = horizons(i)
   table_82_13_p(i,2) = ERRORS_STATS.Staff.ly.jump_0.REG_PVAL(1,horizons(i)+1);
   table_82_13_p(i,3) = ERRORS_STATS.AR4.ly.jump_m1.REG_PVAL(1,horizons(i)+1);
   table_82_13_p(i,4) = ERRORS_STATS.AORW4.ly.jump_m1.REG_PVAL(1,horizons(i)+1);
   table_82_13_p(i,5) = ERRORS_STATS.MS2AR4.ly.jump_m1.REG_PVAL(1,horizons(i)+1);
   table_82_13_p(i,6) = ERRORS_STATS.UCSV.ly.jump_m1.REG_PVAL(1,horizons(i)+1);
   table_82_13_p(i,7) = ERRORS_STATS.VAR.ly.jump_m1.REG_PVAL(1,horizons(i)+1);
   
   
   table_82_13(i+7,1) = horizons(i)
   table_82_13(i+7,2) = ERRORS_STATS.Staff.ly.jump_0.REG_COEFF_CONST_control(1,horizons(i)+1);
   table_82_13(i+7,3) = ERRORS_STATS.AR4.ly.jump_m1.REG_COEFF_CONST_control(1,horizons(i)+1);
   table_82_13(i+7,4) = ERRORS_STATS.AORW4.ly.jump_m1.REG_COEFF_CONST_control(1,horizons(i)+1);
   table_82_13(i+7,5) = ERRORS_STATS.MS2AR4.ly.jump_m1.REG_COEFF_CONST_control(1,horizons(i)+1);
   table_82_13(i+7,6) = ERRORS_STATS.UCSV.ly.jump_m1.REG_COEFF_CONST_control(1,horizons(i)+1);
   table_82_13(i+7,7) = ERRORS_STATS.VAR.ly.jump_m1.REG_COEFF_CONST_control(1,horizons(i)+1);

   table_82_13_p(i+7,1) = horizons(i)
   table_82_13_p(i+7,2) = ERRORS_STATS.Staff.ly.jump_0.REG_PVAL_control(1,horizons(i)+1);
   table_82_13_p(i+7,3) = ERRORS_STATS.AR4.ly.jump_m1.REG_PVAL_control(1,horizons(i)+1);
   table_82_13_p(i+7,4) = ERRORS_STATS.AORW4.ly.jump_m1.REG_PVAL_control(1,horizons(i)+1);
   table_82_13_p(i+7,5) = ERRORS_STATS.MS2AR4.ly.jump_m1.REG_PVAL_control(1,horizons(i)+1);
   table_82_13_p(i+7,6) = ERRORS_STATS.UCSV.ly.jump_m1.REG_PVAL_control(1,horizons(i)+1);
   table_82_13_p(i+7,7) = ERRORS_STATS.VAR.ly.jump_m1.REG_PVAL_control(1,horizons(i)+1);
   
   
   
   
   
   
   table_82_13(14+i,1) = horizons(i)
   table_82_13(14+i,2) = ERRORS_STATS.Staff.lpcpi.jump_0.REG_COEFF(1,horizons(i)+1);
   table_82_13(14+i,3) = ERRORS_STATS.AR4.lpcpi.jump_m1.REG_COEFF(1,horizons(i)+1);
   table_82_13(14+i,4) = ERRORS_STATS.AORW4.lpcpi.jump_m1.REG_COEFF(1,horizons(i)+1);
   table_82_13(14+i,5) = ERRORS_STATS.MS2AR4.lpcpi.jump_m1.REG_COEFF(1,horizons(i)+1);
   table_82_13(14+i,6) = ERRORS_STATS.UCSV.lpcpi.jump_m1.REG_COEFF(1,horizons(i)+1);
   table_82_13(14+i,7) = ERRORS_STATS.VAR.lpcpi.jump_m1.REG_COEFF(1,horizons(i)+1);
     
   table_82_13_p(14+i,1) = horizons(i)
   table_82_13_p(14+i,2) = ERRORS_STATS.Staff.lpcpi.jump_0.REG_PVAL(1,horizons(i)+1);
   table_82_13_p(14+i,3) = ERRORS_STATS.AR4.lpcpi.jump_m1.REG_PVAL(1,horizons(i)+1);
   table_82_13_p(14+i,4) = ERRORS_STATS.AORW4.lpcpi.jump_m1.REG_PVAL(1,horizons(i)+1);
   table_82_13_p(14+i,5) = ERRORS_STATS.MS2AR4.lpcpi.jump_m1.REG_PVAL(1,horizons(i)+1);
   table_82_13_p(14+i,6) = ERRORS_STATS.UCSV.lpcpi.jump_m1.REG_PVAL(1,horizons(i)+1);
   table_82_13_p(14+i,7) = ERRORS_STATS.VAR.lpcpi.jump_m1.REG_PVAL(1,horizons(i)+1);
   
   
   table_82_13(21+i,1) = horizons(i)
   table_82_13(21+i,2) = ERRORS_STATS.Staff.lpcpi.jump_0.REG_COEFF_CONST_control(1,horizons(i)+1);
   table_82_13(21+i,3) = ERRORS_STATS.AR4.lpcpi.jump_m1.REG_COEFF_CONST_control(1,horizons(i)+1);
   table_82_13(21+i,4) = ERRORS_STATS.AORW4.lpcpi.jump_m1.REG_COEFF_CONST_control(1,horizons(i)+1);
   table_82_13(21+i,5) = ERRORS_STATS.MS2AR4.lpcpi.jump_m1.REG_COEFF_CONST_control(1,horizons(i)+1);
   table_82_13(21+i,6) = ERRORS_STATS.UCSV.lpcpi.jump_m1.REG_COEFF_CONST_control(1,horizons(i)+1);
   table_82_13(21+i,7) = ERRORS_STATS.VAR.lpcpi.jump_m1.REG_COEFF_CONST_control(1,horizons(i)+1);
   
   table_82_13_p(21+i,1) = horizons(i)
   table_82_13_p(21+i,2) = ERRORS_STATS.Staff.lpcpi.jump_0.REG_PVAL_control(1,horizons(i)+1);
   table_82_13_p(21+i,3) = ERRORS_STATS.AR4.lpcpi.jump_m1.REG_PVAL_control(1,horizons(i)+1);
   table_82_13_p(21+i,4) = ERRORS_STATS.AORW4.lpcpi.jump_m1.REG_PVAL_control(1,horizons(i)+1);
   table_82_13_p(21+i,5) = ERRORS_STATS.MS2AR4.lpcpi.jump_m1.REG_PVAL_control(1,horizons(i)+1);
   table_82_13_p(21+i,6) = ERRORS_STATS.UCSV.lpcpi.jump_m1.REG_PVAL_control(1,horizons(i)+1);
   table_82_13_p(21+i,7) = ERRORS_STATS.VAR.lpcpi.jump_m1.REG_PVAL_control(1,horizons(i)+1);
   
   
   
   table_82_13(28+i,1) = horizons(i)
   table_82_13(28+i,2) = ERRORS_STATS.Staff.bankrate.jump_0.REG_COEFF(1,horizons(i)+1);
   table_82_13(28+i,3) = ERRORS_STATS.AR4.bankrate.jump_m1.REG_COEFF(1,horizons(i)+1);
   table_82_13(28+i,4) = ERRORS_STATS.RW.bankrate.jump_m1.REG_COEFF(1,horizons(i)+1);
   table_82_13(28+i,5) = ERRORS_STATS.MS2AR4.bankrate.jump_m1.REG_COEFF(1,horizons(i)+1);
   table_82_13(28+i,6) = ERRORS_STATS.UCSV.bankrate.jump_m1.REG_COEFF(1,horizons(i)+1);
   table_82_13(28+i,7) = ERRORS_STATS.VAR.bankrate.jump_m1.REG_COEFF(1,horizons(i)+1);
     
   table_82_13_p(28+i,1) = horizons(i)
   table_82_13_p(28+i,2) = ERRORS_STATS.Staff.bankrate.jump_0.REG_PVAL(1,horizons(i)+1);
   table_82_13_p(28+i,3) = ERRORS_STATS.AR4.bankrate.jump_m1.REG_PVAL(1,horizons(i)+1);
   table_82_13_p(28+i,4) = ERRORS_STATS.RW.bankrate.jump_m1.REG_PVAL(1,horizons(i)+1);
   table_82_13_p(28+i,5) = ERRORS_STATS.MS2AR4.bankrate.jump_m1.REG_PVAL(1,horizons(i)+1);
   table_82_13_p(28+i,6) = ERRORS_STATS.UCSV.bankrate.jump_m1.REG_PVAL(1,horizons(i)+1);
   table_82_13_p(28+i,7) = ERRORS_STATS.VAR.bankrate.jump_m1.REG_PVAL(1,horizons(i)+1);
   
   
   table_82_13(35+i,1) = horizons(i)
   table_82_13(35+i,2) = ERRORS_STATS.Staff.bankrate.jump_0.REG_COEFF_CONST_control(1,horizons(i)+1);
   table_82_13(35+i,3) = ERRORS_STATS.AR4.bankrate.jump_m1.REG_COEFF_CONST_control(1,horizons(i)+1);
   table_82_13(35+i,4) = ERRORS_STATS.RW.bankrate.jump_m1.REG_COEFF_CONST_control(1,horizons(i)+1);
   table_82_13(35+i,5) = ERRORS_STATS.MS2AR4.bankrate.jump_m1.REG_COEFF_CONST_control(1,horizons(i)+1);
   table_82_13(35+i,6) = ERRORS_STATS.UCSV.bankrate.jump_m1.REG_COEFF_CONST_control(1,horizons(i)+1);
   table_82_13(35+i,7) = ERRORS_STATS.VAR.bankrate.jump_m1.REG_COEFF_CONST_control(1,horizons(i)+1);
   
   table_82_13_p(35+i,1) = horizons(i)
   table_82_13_p(35+i,2) = ERRORS_STATS.Staff.bankrate.jump_0.REG_PVAL_control(1,horizons(i)+1);
   table_82_13_p(35+i,3) = ERRORS_STATS.AR4.bankrate.jump_m1.REG_PVAL_control(1,horizons(i)+1);
   table_82_13_p(35+i,4) = ERRORS_STATS.RW.bankrate.jump_m1.REG_PVAL_control(1,horizons(i)+1);
   table_82_13_p(35+i,5) = ERRORS_STATS.MS2AR4.bankrate.jump_m1.REG_PVAL_control(1,horizons(i)+1);
   table_82_13_p(35+i,6) = ERRORS_STATS.UCSV.bankrate.jump_m1.REG_PVAL_control(1,horizons(i)+1);
   table_82_13_p(35+i,7) = ERRORS_STATS.VAR.bankrate.jump_m1.REG_PVAL_control(1,horizons(i)+1);
   
   
end

num2str(table_82_13_p,'  %.3f')

num2str(table_82_13,'  %.3f')
